<?php

    // require_once('lib/fcomplex.php');
    // require_once("lib/frole.php");
    // $role = new Role();
    // $role->isPageEnable($user->uuid);

?><!doctype html>
<html lang="ru">
<head>

  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

  <meta http-equiv="refresh" content="600">

  <title>Текущий статус мониторинга хостинга</title>


  <!-- Framework css -->
  <link rel="stylesheet" type="text/css" href="/css/jquery-ui.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/bootstrap-combined.min.css?rand=<?=rand();?>" />

  <!-- Wrapper css -->
  <link rel="stylesheet" type="text/css" href="/css/base.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/member.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/member.form.css?rand=<?=rand();?>" />
  <!-- Wrapper css -->
  <!--[if gte IE 9]>
    <style type="text/css">
      .gradient {
         filter: none;
      }
    </style>
  <![endif]-->

  <!-- Framework js -->
  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/bootstrap.min.js"></script>

  <!-- Wrapper js -->
  <script type="text/javascript">

    var language = "<?=$this->language?>";
    var pageType = "<?=$this->pageType?>";

    var pageId = "<?=$this->pageId?>";

    var userUuid = "<?=$this->user->uuid?>";

  </script>
  <script src="/js/auth.js"></script>


  <!-- Hosting css -->
  <link rel="stylesheet" type="text/css" href="/css/hosting/hosting.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/hosting/monitor.css?rand=<?=rand();?>" />

  <style type="text/css" media="screen">
      object { outline:none; }
  </style>
</head>

<body>

<!-- USERBOX -->

<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Текущий статус мониторинга хостинга
    </h1>
    <h2 class="header__headings__subheading">
      <?php
          if (file_exists(__DIR__ . '/Monitor.info.inc.html')) {
              require __DIR__ . '/Monitor.info.inc.html';
          } else {
              echo 'Проверка еще не запускалась';
          }
      ?>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div class = "left">
    <?=(isset($role) ? $role->userMenu($user->uuid) : '');?>
</div>

<?=$this->renderNavigation();?>

<div class="page__helper"></div>

<?php if ($this->canViewStatus()): ?>

    <?php if (file_exists(__DIR__ . '/Monitor.status.inc.html')): ?>
        <?php require __DIR__ . '/Monitor.status.inc.html'; ?>
    <?php else: ?>

        <div class="not-found">
          <h1>Данные еще не загружены</h1>
          <p>Вернитесь сюда позже или <a href="mailto:monitoring@herzen.spb.ru?subject=Данные мониторинга хостинга (статус) не загружены">сообщите об ошибке по электронной почте</a></p>

          <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
        </div>
    <?php endif; ?>

  <script src="/js/hosting/jquery.fittext.js"></script>


  <script src="/js/highcharts/js/highcharts.js"></script>
  <script src="/js/highcharts/js/highcharts-more.js"></script>
  <script src="/js/highcharts/js/modules/exporting.js"></script>

<?php else: ?>

<div id="forbidden" class="forbidden">
  <h1>Доступ не разрешен</h1>
  <p>Попробуйте <a href="mailto:monitoring@herzen.spb.ru?subject=О доступе к мониторингу хостинга (статус)">запросить доступ по электронной почте</a></p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>
<?php endif; ?>

</body>
</html>
